dh-lisp_0.7.1+nmu1_all.deb


Advertisement

Description

dh-lisp - Debhelper to support Common Lisp related packages

Distribution: Debian Sid
Repository: Debian Main amd64
Package name: dh-lisp
Package version: 0.7.1+nmu1
Package release:
Package architecture: all
Package type: deb
Installed size: 34 B
Download size: 9.39 KB
Official Mirror: ftp.br.debian.org
Description: unavailable.

Alternatives

Requires

    Download

    Source package: dh-lisp

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install dh-lisp deb package:
      # sudo apt-get install dh-lisp

    Changelog

    2015-07-21 - Damyan Ivanov <dmn@debian.org> dh-lisp (0.7.1+nmu1) unstable; urgency=medium * Non-maintainer upload. * Replace obsolete 'perl5' build dependency with 'perl' Closes: #786675

    2011-03-06 - Desmond O. Chang <dochang@gmail.com> dh-lisp (0.7.1) unstable; urgency=low * declare/initialize $implementation (Closes: #616676) * debian/README.Debian + add README.Debian for the incompatible change since 0.7.0

    2011-01-04 - Desmond O. Chang <dochang@gmail.com> dh-lisp (0.7.0) unstable; urgency=low * do not link asd files * do not generate maintainer scripts for c-l-c * do not generate c-l-c dependency for library packages * do not install implementation control script * do not create maintainer scripts for c-l-c * do not generate c-l-c dependency for implementation packages * debian/control + change Standards-Version to 3.9.1 + modify package description

    2010-07-16 - Desmond O. Chang <dochang@gmail.com> dh-lisp (0.6.6) unstable; urgency=low * escape regex metachars in the pathname of ASD files (Closes: #588294) * add dh addon for dh_lisp * debian/copyright: + add copyright info about Peter Van Eynde and me * debian/control: + add me into Uploaders + change Standards-Version to 3.9.0 * debian/source/format: + change source package format to 3.0 (native) * debian/rules: + use debhelper only, remove cdbs related code

    2009-11-07 - Peter Van Eynde <pvaneynd@debian.org> dh-lisp (0.6.5) unstable; urgency=low * gitify, take ownership. (Closes: #548775) * Updated Standards Version no changes * Now in the Lisp Section

    2009-02-13 - René van Bevern <rvb@debian.org> dh-lisp (0.6.4) unstable; urgency=low * dh_lisp: remove pod2man error

    2009-02-11 - René van Bevern <rvb@debian.org> dh-lisp (0.6.3) experimental; urgency=low * upload to experimental because of lenny freeze * postinst-*, prerm-*: do not generate full pathnames to common-lisp-controller's binaries in maintainer scripts of Common Lisp packages * debian/control: + set Maintainer to pkg-common-lisp and myself as uploader + remove duplicate build dependencies + bump policy version + use Homepage field and point it to the pkg-common-lisp project

    2006-05-30 - René van Bevern <rvb@debian.org> dh-lisp (0.6.2) unstable; urgency=low * debian/control: + ASDF: another (not advanced) system definition facility. (closes: #369019) + update Standards-Version + cdbs to Build-Depends instead of Build-Depends-Indep

    2006-04-18 - René van Bevern <rvb@debian.org> dh-lisp (0.6.1) unstable; urgency=low [René van Bevern] * debian/control: update e-mail address [Peter van Eynde] * fix some spelling mistakes in the documentation (i.e. manual page)

    2006-03-17 - René van Bevern <rvb@progn.org> dh-lisp (0.6) unstable; urgency=low * Support for ECL + does not misinterpret ECL's FASLs as Clisp's anymore. + automatically adds dependency on current ECL if ECL's FASLs are found + for the above to work, dh_lisp now guesses object type by looking inside the files instead of looking at their names + depend on common-lisp-controller 5.11 by default

    Advertisement
    Advertisement